# eric5.Helpviewer.WebPlugins.ClickToFlash.ClickToFlashWhitelistDialog

Module implementing a dialog to manage the ClickToFlash whitelist.

### Global Attributes

None

### Classes

ClickToFlashWhitelistDialog | Class implementing a dialog to manage the ClickToFlash whitelist

### Functions

None

## ClickToFlashWhitelistDialog

Class implementing a dialog to manage the ClickToFlash whitelist

### Derived from

QDialog, Ui_ClickToFlashWhitelistDialog

### Class Attributes

None

### Class Methods

None

### Methods

ClickToFlashWhitelistDialog | Constructor
getWhitelist | Public method to get the whitelisted hosts.
on_addButton_clicked | Private slot to add an entry to the whitelist.

### Static Methods

None

#### ClickToFlashWhitelistDialog (Constructor)

ClickToFlashWhitelistDialog(whitelist, parent=None)

Constructor

whitelist
  list of whitelisted hosts (list of string)
parent
  reference to the parent widget (QWidget)

#### ClickToFlashWhitelistDialog.getWhitelist

getWhitelist()

Public method to get the whitelisted hosts.

Returns:
  list of whitelisted hosts (list of string)

#### ClickToFlashWhitelistDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add an entry to the whitelist.

Up